Subject: Re: bug#58360: 28.2; tramp-archive and file-directory-p

From: Stefan Kangas <[email-masked]>
Date: Sat, 8 Oct 2022 21:03:04 +0200

tags 58360 notabug wontfix
close 58360
thanks

Michael Albinus <[email-masked]> writes:

> This is intended. There is no need for packages like counsel to check
>
> (file-directory-p (expand-file-name "~/file.odt/"))
>
> It is a misuse to add a slash to an existing regular file and pray that
> it works. There has been a similar error in ange-ftp, see bug#56078. It
> has fixed. I recommend to contact the counsel author for a fix.

So this is not something we're going to change on our end, and I'm
therefore closing this bug report.